<?php

// pokud používáte verzi pro PHP 5.3, odkomentujte následující řádek:
// use Nette\Application\Presenter;


require_once APP_DIR . '/models/Model.php';



/**
 * Coffee vending machine presenters.
 */
class MachinePresenter extends Presenter
{

	/**
	 * Hodnota vhozených mincí.
	 * @persistent - proměnná se přenáší mezi HTTP požadavky
	 */
	public $money = 0;



	public function startup()
	{
		// nejprve na displeji zobrazíme výzvu k vhození peněz
		$this->template->display = 'Vhoď ' . Model::COFFEE_PRICE . ' Kč';
	}



	public function handleInsert($coin)
	{
		// zvýšíme hodnotu vhozených mincí
		$this->money += max(0, (int) $coin);

		// na displeji zobrazíme celkovou částku
		$this->template->display = $this->money . ' Kč';
	}



	public function handleBuy()
	{
		// příkaz pro model
		$model = new Model;
		$result = $model->buyCoffee($this->money);

		if ($result) {
			$this->money = 0;  // vynulujeme částku (automat nevrací)
			$this->template->display = 'Dobrou chuť';
			$this->template->coffee = TRUE;

		} else {
			$this->template->display = 'Málo peněz';
		}
	}

}
